#include "c2d2/chien2d2.h"

extern unsigned int fonte32;
extern unsigned int fonte64;
extern unsigned int botao_jogar;
extern unsigned int botao_ajuda;
extern unsigned int botao_creditos;
extern unsigned int botao_menu;
extern unsigned int botao_voltar;
extern unsigned int botao_sair;
extern unsigned int botao_proximo;
extern unsigned int spmira;
extern unsigned int titulo;
extern unsigned int pause;
extern unsigned int score;
extern unsigned int medset;
extern unsigned int injetar;
extern unsigned int fundo;
extern unsigned int win;
extern unsigned int gameover;
extern unsigned int som_tocando1; 
extern unsigned int som_tocando2;
extern unsigned int som_tocando3;
extern unsigned int som_tocando4;
extern unsigned int som_tocando5;
extern unsigned int som_tocando6;
extern unsigned int som_tocando7;
extern unsigned int som_tocando8;

void DescarregaRecursos()
{
    if(fonte32!=0)
    {
        C2D2_TrocaCorLimpezaTela(0,0,255);
        C2D2_LimpaTela();
        C2D2_DesenhaTexto(fonte32, 400, 284, "Closing, please wait.", C2D2_TEXTO_CENTRALIZADO);
        C2D2_Sincroniza(C2D2_FPS_PADRAO);
    }
    C2D2_RemoveFonte(fonte32);
    C2D2_RemoveFonte(fonte64);
    C2D2_RemoveSpriteSet(botao_jogar);
    C2D2_RemoveSpriteSet(botao_creditos);
    C2D2_RemoveSpriteSet(botao_sair);
    C2D2_RemoveSpriteSet(botao_voltar);
	C2D2_RemoveSpriteSet(botao_menu);
	C2D2_RemoveSpriteSet(botao_ajuda);
	C2D2_RemoveSpriteSet(injetar);
    C2D2_RemoveSpriteSet(spmira);
    C2D2_RemoveSpriteSet(medset);
	C2D2_RemoveSpriteSet(fundo);
	C2D2_RemoveSpriteSet(win);
	C2D2_RemoveSpriteSet(gameover);
}